Description

Potentially there are other issues with storage, and the situation may not even be limited to Gecko; however, these are all the details
currently available.

History

#1 - 07/17/2021 09:58 PM - koszko

That's possible. I've been fighting these ports also when making the popup page.

Any additional details as to how to reproduce the error? | guess it must have something to do with closing of the settings page?

#2 - 07/18/2021 02:46 AM - jahoti

Any additional details as to how to reproduce the error? | guess it must have something to do with closing of the settings page?

Not yet- as soon as the next update to nonce-handling is pushed that will be my priority!

#3 - 07/18/2021 06:09 AM - jahoti

The issue, it turns out, can be reproduced by opening the popup on an unprivileged page and then playing with the settings. Could the popup
disconnecting a port have something to do with this?

#4 - 07/20/2021 10:26 AM - koszko

- Subject changed from Remote-storage port(s) are disconnected while still in use on Gecko to Remote-storage port(s) are disconnected while still in
use

- Status changed from New to In Progress
- Assignee changed from jahoti to koszko

- Priority changed from Normal to Urgent

Yes, | seems to happen exclusively after "View in settings" or "Edit in settings” is used. | now know that | introduced it in
https://qgit.koszko.org/browser-extension/commit/?id=c86bdfcd9d56309faca69b58830cea1fa98870e0

#5 - 07/20/2021 11:25 AM - koszko

Turns out it was a page_info_server error caused by a typo (missed underscore caused some storage change callback not to get deregistered
automatically after port disconnect [0).
https://git.koszko.org/browser-extension/commit/?id=c86bdfcd9d56309faca69b58830cea1fa98870e0

| additionally found another bug and fixed it. It's all in master now

#6 - 07/20/2021 11:25 AM - koszko

- Status changed from In Progress to Closed
